# keystone.limit.models.flat module

class keystone.limit.models.flat.FlatModel

  Bases: `ModelBase`

  DESCRIPTION: str = 'Limit enforcement and validation does not take project hierarchy into consideration.'
  MAX_PROJECT_TREE_DEPTH: ty.Optional[int] = None
  NAME: str = 'flat'
  check_limit(limits)

    Check the new creating or updating limits if satisfy the model.

    Parameters:

      limits (A list of the limits. Each limit is a dictionary reference containing all limit attributes.) – A list of the limit references to be checked.

    Raises:

      keystone.exception.InvalidLimit – If any of the input limits doesn’t satisfy the limit model.

this page last updated: 2026-06-11 21:52:50

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug